<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################


$a = $db->sql_query ("Select * from vopros where ids='2'");
$b = $db->sql_fetchrow ($a);
$nom = $b["number"];
$vr = $b["time"];
$answ = $b["answer"];


if ($time>=$vr){
if ($nom == 5){
$st = $time;
$st = $st + 240;
@$db->sql_query ("Update vopros set time = '".$st."' WHERE ids = '2'");
$r = $db->sql_query ("Select count(*) as num from question");
$a = $db->sql_fetchrow($r);
$num = $a["num"];
$rnd = rand(1,$num);
$qu = $db->sql_query ("Select * from question where number='".$rnd."'");
$re = $db->sql_fetchrow ($qu);
$answ = $re["answer"];
$tran = $re["tran"];
$nom = 0;
$vr = $st;

$i = strlen2($tran);

$question = rand(25,31);
$question = preg_replace("#25#i","([b]".($i + rand(1, 8))."[/b] букв, да не, напиздил [b]".$i."[/b] или [b]".rand(2, 10)."[/b], Хуй знает)",$question);
$question = preg_replace("#26#i","([b]".$i."[/b] букв)",$question);
$question = preg_replace("#27#i","([b]3 456[/b] букв гг. Пизжу. Не помню я)",$question);
$question = preg_replace("#28#i","(нихуя не скажу...)",$question);
$question = preg_replace("#29#i","([b]".$i."[/b] букв. Наверное...)",$question);
$question = preg_replace("#30#i","(сами считайте гг...)",$question);
$question = preg_replace("#31#i","(букв мало. Или много. Короче похуй.)",$question);
$question2 = $question;

$vp = "[b]Вопрос:[/b] ".$re["vopros"]." ".$question2."";
$db->sql_query ("Update vopros set number = '".$nom."', question = '".$vp."', answer = '".$answ."', tran = '".$tran."' WHERE ids ='2'");

$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color) VALUES ('$user_tupica','0','$time','$vp','$rm','0','0','0')");

} else {
$victint = $set["victint"];
$st = $time + $victint;
if ($victint=="10") $interval="10 секунд";
else if ($victint=="30") $interval="30 секунд";
else if ($victint=="60") $interval="минуту";
else $interval="2 минуты";
$db->sql_query ("Update vopros set time = '".$st."' WHERE ids = '2'");
$r = $db->sql_query ("Select count(*) as num from question");
$a = $db->sql_fetchrow($r);
$num = $a["num"];
$rnd = rand(1,$num);
$re = $db->sql_fetchrow ($db->sql_query ("Select * from question where number='".$rnd."'"));
$answ = $re['answer'];
$tran = $re['tran'];
$nom = 5;
$vr = $st;
$db->sql_query ("Update vopros set number = '".$nom."', answer = '".$answ."', tran = '".$tran."' WHERE ids = '2'");


$vp = rand(1,8);
$vp = preg_replace("#1#i","Отсосите, чмошники! Уебывайте не дожидаясь следующего вопроса.",$vp);
$vp = preg_replace("#2#i","Проебали вы время, дуболомы! Ждите следующего заёба.",$vp);
$vp = preg_replace("#3#i","И снова победила тупость печальных мудозвонов, называющих себя знатоками...",$vp);
$vp = preg_replace("#4#i","Время вышло долбоёбы. Идите книги читать бля...",$vp);
$vp = preg_replace("#5#i","И снова нихуя не знаете. Вас учили только хуй сосать?",$vp);
$vp = preg_replace("#6#i","Время истекло. следующий вопрос через ".$interval.".",$vp);
$vp = preg_replace("#7#i","Нету ответа? Нету! Куриные мозги местных уебков расплавились и завоняли. Пиздец.",$vp);
$vp = preg_replace("#8#i","Ни один пидор не дал правильного ответа. Вы посылаетесь нахуй.",$vp);

$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color) VALUES ('$user_tupica','0','$time','$vp','$rm','0','0','0')");
}
}else
if ((($vr-$time)<180)&&($nom == 0)){
$nom = 1;
$db->sql_query ("Update vopros set number = '".$nom."', answer = '".$answ."' WHERE ids ='2'");


$v = $answ;
$v=substr($v, 0, 2);
$v=preg_replace('#^(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,0}'.'((?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,500}).*#s','$1',$v);

$vp = rand(1,12);
$vp = preg_replace("#1#i","Пинок под срач всем тупорылым ублюдосинам: [b]".$v."...[/b]",$vp);
$vp = preg_replace("#2#i","Подсказка всем конченным долбоёбищам: [b]".$v."...[/b]",$vp);
$vp = preg_replace("#3#i","Хуй с вами, мудозвоны, ловите подсказку: [b]".$v."...[/b]",$vp);
$vp = preg_replace("#4#i","Ебанутые вы. Для дебилов охуевших - подсказка: [b]".$v."...[/b]",$vp);
$vp = preg_replace("#5#i","Подсказка: [b]".$v."...[/b] Слышите, бляди тупорылые? [b]".$v."...[/b]! Еще повторить? ! Теперь дошло, дебилы??",$vp);
$vp = preg_replace("#6#i","Подсказка нах: [b]".$v."...[/b]",$vp);
$vp = preg_replace("#7#i","Подъёбка: [b]".$v."...[/b]",$vp);
$vp = preg_replace("#8#i","Че, дрочите, слабоумные? Вот подсказка: [b]".$v."...[/b]",$vp);
$vp = preg_replace("#9#i","Подсказку захотели? А отсосать?",$vp);
$vp = preg_replace("#10#i","Че бля подсказку хуйнуть? А без нее сосете? Тогда сосите с ней: [b]".$v."...[/b]",$vp);
$vp = preg_replace("#11#i","Вы меня заебали! Нихуя вам подсказывать не буду!",$vp);
$vp = preg_replace("#12#i","сколько букв не помню, но дохуя.",$vp);


$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color) VALUES ('$user_tupica','0','$time','$vp','$rm','0','0','0')");

} else
if ((($vr-$time)<90)&&($nom < 2)){
$nom = 2;
$db->sql_query ("Update vopros set number = '".$nom."', answer = '".$answ."' WHERE ids ='2'");
$a = $db->sql_query ("Select postsch from users where id='".$uid."'");
$b = $db->sql_fetchrow ($a);
$p = $b["postsch"];
$p++;
$st = $time;
@$db->sql_query ("Update users set postsch='".$p."', onl='".$st."', room='0' where id ='".$uid."'");

$v = $answ;
$v=substr($v, 0, 4);
$v=preg_replace('#^(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,0}'.'((?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,500}).*#s','$1',$v);

$vp = rand(1,12);
$vp = preg_replace("#1#i","Пинок под срач всем тупорылым ублюдосинам: [b]".$v."...[/b]",$vp);
$vp = preg_replace("#2#i","Подсказка всем конченным долбоёбищам: [b]".$v."...[/b]",$vp);
$vp = preg_replace("#3#i","Хуй с вами, мудозвоны, ловите подсказку: [b]".$v."...[/b]",$vp);
$vp = preg_replace("#4#i","Ебанутые вы. Для дебилов охуевших - подсказка: [b]".$v."...[/b]",$vp);
$vp = preg_replace("#5#i","Подсказка: [b]".$v."...[/b] Слышите, бляди тупорылые? [b]".$v."...[/b]! Еще повторить? ! Теперь дошло, дебилы??",$vp);
$vp = preg_replace("#6#i","Подсказка нах: [b]".$v."...[/b]",$vp);
$vp = preg_replace("#7#i","Подъёбка: [b]".$v."...[/b]",$vp);
$vp = preg_replace("#8#i","Че, дрочите, слабоумные? Вот подсказка: [b]".$v."...[/b]",$vp);
$vp = preg_replace("#9#i","Подсказку захотели? А отсосать?",$vp);
$vp = preg_replace("#10#i","Че бля подсказку хуйнуть? А без нее сосете? Тогда сосите с ней: [b]".$v."...[/b]",$vp);
$vp = preg_replace("#11#i","Вы меня заебали! Нихуя вам подсказывать не буду!",$vp);
$vp = preg_replace("#12#i","сколько букв не помню, но дохуя.",$vp);

$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color) VALUES ('$user_tupica','0','$time','$vp','$rm','0','0','0')");

}
?>
